#ifndef DEF_MAPSCALLBACKS

#define DEF_MAPSCALLBACKS

#include "MapLoader.h"

/** Callbacks **/

/*
* Called when map 01 is loaded
*/
void MapsCallbacks_OnMap01Loaded(MapLoadedParameters* _CustomParameters);

/*
* Called when map 02 is loaded
*/
void MapsCallbacks_OnMap02Loaded(MapLoadedParameters* _CustomParameters);

/*
* Called when map 03 is loaded
*/
void MapsCallbacks_OnMap03Loaded(MapLoadedParameters* _CustomParameters);

/*
* Called when map game over is loaded
*/
void MapsCallbacks_OnMapGameOverLoaded(MapLoadedParameters* _CustomParameters);

/*
* Called at map update. Play background animations for map 01
*/
void MapsCallbacks_OnMap01Update();

#endif