#include "CollisionCallbacks.h"

#include "../Maps/MapLoader.h"
#include "../Fade/Fade.h"
#include "../Inputs/InputManager.h"
#include "../../Game/Lever/Lever.h"

/*
* Called when overlapping a lever
*/
void OnLeverOverlap(Movable* _Self, Movable* _Other)
{
    // Local variables
    Lever* lever = NULL;
    UINT8 i = 0;

    // Get lever using Self movable
    for (i = 0; i < NB_LEVERS; i++)
    {
        lever = &LeverArray[i];

        if (lever != NULL && lever->leverMovable == _Self)
        {
            Lever_Activate(lever);
            break;
        }
    }
}